My Oracle Support Banner

API Gateway Is Not Accessible Error: "Caused by: java.sql.SQLException: ORA-28001: the password has expired" (Doc ID 2852547.1)

Last updated on MARCH 07, 2022

Applies to:

Oracle API Platform Cloud Service - Version 21.3.1 to 21.3.1
Information in this document applies to any platform.

Symptoms

 API Gateway is not accessible via the Weblogic Console and noticed below error in server logs.

 

Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
 Step 1: Update Weblogic admin password
 Step 2: Update the Derby DB password
 Step 3: Update the Java Database Connectivity (JDBC) data source password
 Step 4: To verify, restart the gateway servers


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.